QGIS Application - Bug report #3183
rasterlang
2010-11-02 10:28 PM - Trevor Wiens

Status: Closed

Priority: Low

Assignee: barryrowlingson -

Category: Python plugins

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 13243
Description

the equality operator does not work. In ops.py the current code exists:

def eq(*args):
debug.msg(1,"eq test ",args)
for iin range(1,len(args)):
if argsr0!=argsi]:
return False
return True

the comparison between argsrO nad args|i] generates a bug suggesting calls to a.all() or a.any().

There is no need for a special eq operator. So replacing the line
'=": Op('='",eq,2,99,"test equality"),

with
'=": Op('='",operator.eq,2,2,"test equality"),

in ops.py produces a basic functioning equality operation for this plugin.

History

#1 - 2010-11-03 10:09 AM - Trevor Wiens

Additional Information. The copy of the plugin provided by Barry on his website to download does not have this bug and is different from the code of his
repository. His fix is slightly different from the one | suggest, but it does work.

#2 - 2010-11-03 02:44 PM - Borys Jurgiel

This is an external plugin - please contact authors rather than use this trac. I'm assigning it to Barry and closing it. Barry, feel poked :)

#3 - 2010-11-03 02:44 PM - Borys Jurgiel
- Resolution set to invalid
- Status changed from Open to Closed
